/**
 * Star Fleet Empire
 * 支配惑星リスト
 *
 * $Id: stars_starList.js,v 1.5 2006/03/11 14:31:37 shio Exp $
 */
function clickDispStars() {
    if (app.selectMode) {
        app.finishSelectMode();
        cancelSCmd();
    }
    var e = document.getElementById("subWindow");
    var body =  document.getElementById("subBody");
    var width = 350;
    var height = 300;
	var imgfile = (isIE()) ? "subwin3.gif" : "subwin3.png";
    app.subWinData.width = width;
    app.subWinData.height = height;

    e.style.width = width + "px";
    e.style.height = height + "px";

    var windowTitle = document.getElementById("windowTitle");
    document.getElementById("windowTitleText").innerHTML="支配惑星リスト";

    var img = document.getElementById("subwinimg");
    img.setAttribute("src", imgfile);

    var str = '<div id="sub_name" style="width: 345px; height: 250px">';
    str += "<table class='pointTable' style='font-size: 12px;'>";
    str += "<tr bgcolor='000000'>";
    str += "<th>No.</th>";
    str += "<th>惑星名</th>";
    str += "<th>位置</th>";
    str += "<th>人口</th>";
    str += "<th>経済</th>";
    str += "<th>防衛</th>";
    str += "<th>艦隊</th>";
    str += "<th nowrap='nowrap'>コマンド</th>";
    str += "</tr>";

    var ue = app.empireList[0];
    for (var i = 0; i < ue.ctlPlanetList.length; i++) {
        var p = ue.ctlPlanetList[i];
        var pname = (p.name.length > 10) ? p.name.substring(0, 10)
                + "<br/>" + p.name.substring(10,p.name.length) : p.name;
        str += "<tr>";
        str += "<td>" + p.id + "</td>";
        str += "<td style='width: 100px; overflow=hidden;'>" + pname + "</td>";
        str += "<td>" + p.loc + "</td>";
        str += "<td>" + p.dpl + "</td>";
        str += "<td>" + p.ecn + "</td>";
        str += "<td>" + p.dfc + "</td>";
        var fleet = ue.getFleetByPlanetId(p.id);
        if (fleet) {
            str += "<td nowrap='nowrap'>第" + fleet.no + "</td>";
        } else {
            str += "<td>-</td>";
        }
        var cmd = app.getCmdByPlanetId(p.id);
        
        if (! cmd) {
            cmd = new CmdNothing();
        }
        str += '<td><a href="javascript:clickPlanet(\''
                + p.loc + '\');">' + cmd.getFullName() + '</a></td>';
        
        str += "</tr>";
    }

    body.innerHTML = str;
    movingWinInfo.subWindow.disp();
    document.getElementById("sub_name").width = (width - 20) + "px";

}